/* -------------------------------------------------------------------
** Name: project
** Source: static/project.css 
** Origin: https://germanproperty.frogm.dev/
**
** TOC
** ----------------------
** 1: globals
** 2: siteheader
** 3: forms
** 4: custom
** 5: slider
** 6: copy
** 7: sections
** ------------------------------------------------------------------- */

/* -------------------------------------------------------------------
** 1: globals
** Source: static/project/globals.css
** Last update: 2024-04-24 11:21:54 by b.mandel
** ------------------------------------------------------------------- */

body {
    margin-top: 76px; /* only use when navbar is activated */
}

.divider-inner {
    width: 262px;
    border-top: 3px solid #66a617;
    margin: 0 auto;
    padding-bottom: 42px;
}
@media only screen and (max-width: 600px) {
    .divider-inner {
    width: 100px;
    }
}


/* -------------------------------------------------------------------
** 2: siteheader
** Source: static/project/siteheader.css
** Last update: 2024-05-10 13:25:22 by p.blank
** ------------------------------------------------------------------- */

.siteheader {
  height: 500px;
  background-image: url('/assets/tpl/header/header-xxl-overlay.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
    @media only screen and (max-width: 1024px) {
        .siteheader {
            background-image: url('/assets/tpl/header/header-lg-overlay.jpg');
            width: 100%;
            max-width: 1024px;
        }
    }
    @media only screen and (max-width: 600px) {
        .siteheader {
            background-image: url('/assets/tpl/header/header-md-overlay.jpg');
            width: 100%;
            max-width: 600px;
        }
    }
    @media only screen and (max-width: 400px) {
        .siteheader {
            background-image: url('/assets/tpl/header/header-sm-overlay.jpg');
            width: 100%;
            max-width: 400px;
        }
    }
/* -------------------------------------------------------------------
** 3: forms
** Source: static/project/forms.css
** Last update: 2024-04-24 07:51:48 by b.mandel
** ------------------------------------------------------------------- */

.form-wrapper {
    max-width: 960px;
}
    /* Chrome, Safari, Edge, Opera */
    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }
    /* Firefox */
    input[type=number] {
      -moz-appearance: textfield;
    }
/* -------------------------------------------------------------------
** 4: custom
** Source: static/project/custom.css
** Last update: 2026-03-31 17:36:15 by p.blank
** ------------------------------------------------------------------- */

 /* quotes */
    .quote-start {
          margin-bottom: -1em;
        }
    .quote-end {
      transform: rotate(180deg);
      margin-top: -1em;
    }

/* colors & backgrounds */
    .blue-dark {
        color: #1d3764;   
    }
    .bg-blue-dark {
        background-color: #1d3764;     
    }
    
    .green {
        color: #66a617;
    }
    .bg-green {
        background-color: #66a617;
    }
    
    .link-green {
        color: #66a617;
    }
    .link-green:hover {
        color: #1d3764;
    } 
    
/* navbar */
    .navbar-inner {
        max-width: 1320px;
    }
    .nav-link:focus, .nav-link:hover, .nav-link:active {
    color: #66a617;
    }
    .dropdown-item:hover, .dropdown-item:active {
        color: #66a617;
        text-decoration: none;
        background-color: transparent;
    }
    .dropdown-menu {
        border-radius: 0;
        border: none;
    }
    
    .navbar-toggler:focus {
    text-decoration: none;
    outline: 0;
    box-shadow: none;
}

/* buttons */
    .btn-green {
        background:  #66a617;
        color: #1d3764;
        border: none;
        border-radius: 0px;
        padding: 16px 44px 16px 44px;
        font-weight: 600;
    }
    .btn-green:hover,
    .btn-green.active {
        background-color: #1d3764;
        color: #fff;
    }
    
/* blur */

.gallery-img {
    position: relative;
    padding: 50px;
}

@media (max-width: 578px){
    .gallery-img {
        position: relative;
        padding: 25px;
    }
}

.gallery-img > img {
    border: 3px solid white;
}

.gallery-img > img,
.gallery-img > figcaption {
    position: relative;
    z-index: 2;
}
.gallery-img > .blur {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    _backdrop-filter: blur(10px);
    z-index: 1;
    overflow: hidden;
}

/* spacer */

.spacer {
    opacity: 0;
}


/* -------------------------------------------------------------------
** 5: slider
** Source: static/project/slider.css
** Last update: 2026-03-31 18:52:39 by p.blank
** ------------------------------------------------------------------- */

/* green */
.slick-dots li button:before {
    opacity: 1;
    color: #66a617;
}

.slick-dots li.slick-active button:before {
    opacity: 1;
    color: #1d3764;
}

/* green */
.slick-dots:hover li button:before {
    opacity: 1;
    color: #66a617;
}

.slick-dots li:hover button:before {
    opacity: 1;
    color: #1d3764!important;
}

.slick-dots {
    bottom: -40px;
}
/* -------------------------------------------------------------------
** 6: copy
** Source: static/project/copy.css
** Last update: 2024-05-10 16:45:34 by p.blank
** ------------------------------------------------------------------- */

h2.section-headline {
    color: #1d3764;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 4rem;
    line-height: 1.2;
    text-align: center;
}

@media (max-width: 576px){
    h2.section-headline {
        font-size: calc(1.525rem + 3.3vw);
        position: relative;
    }
}

h2.section-headline:after {
    content: '';
    display: block;
    width: 250px;
    border-top: 3px solid #66a617;
    margin: 24px auto;
    opacity: .25;
}

h2.section-headline a {
    opacity: 0.25;
    transition: opacity 1s linear;
}
h2.section-headline:hover a {
    display: inline-block!important;
    position: absolute;
    margin-left: 1rem;    
    color: #66a617;
}

h2.section-headline:hover a {
    opacity: 1;
}

section {
    scroll-margin-top: 100px;    
}


blockquote {
    padding: 5rem 3rem;
    position: relative;
}

blockquote:before,
blockquote:after {
    position: absolute;
    display: inline-block;
    font-family: bootstrap-icons !important;
    font-style: normal;
    font-weight: 400 !important;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    vertical-align: -.125em;
    -webkit-font-smoothing: antialiased;   
    font-size: 4rem;
}

blockquote:before {
    top: 0;
    left: 0;
    content: "\f6b0";
}

blockquote:after {
    bottom: 0;
    right: 0;
    content: "\f6b0";
    text-align: right;
    transform: rotate(180deg);
}
/* -------------------------------------------------------------------
** 7: sections
** Source: static/project/sections.css
** Last update: 2026-03-31 21:24:43 by p.blank
** ------------------------------------------------------------------- */


section:nth-of-type(even) {
    background: rgba(0,0,0,0.04);
}
